PostgreSQL 9.0.13 Documentation
Prev | Up |  | Next

# DROP RULE

## Name

DROP RULE -- remove a rewrite rule

## Synopsis

    DROP RULE [ IF EXISTS ] name ON table [ CASCADE | RESTRICT ]

## Description

`DROP RULE` drops a rewrite rule.

## Parameters

`IF EXISTS`

  Do not throw an error if the rule does not exist. A notice is issued in this case.

`name`

  The name of the rule to drop.

`table`

  The name (optionally schema-qualified) of the table or view that the rule applies to.

`CASCADE`

  Automatically drop objects that depend on the rule.

`RESTRICT`

  Refuse to drop the rule if any objects depend on it. This is the default.

## Examples

To drop the rewrite rule `newrule`:

    DROP RULE newrule ON mytable;

## Compatibility

There is no `DROP RULE` statement in the SQL standard.

## See Also

CREATE RULE

Prev | Home | Next
DROP ROLE | Up | DROP SCHEMA